For the complete documentation index, see llms.txt. This page is also available as Markdown.

View Permissions

Finds view permissions with given criteria.

get

Finds view permissions with given criteria.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
userIdstring · uuidOptional

The ID of the user for whom the view permission applies.

userGroupIdstring · uuidOptional

The ID of the user group for whose members the view permission applies.

resourceIdstring · uuidOptional

The ID of the community or domain to which the view permissions apply.

resourceTypestring · enumOptionalDeprecated

Deprecated. Use Community or Domain to only retrieve view permissions assigned directly on a community or domain respectively. Do not use this filter in conjunction with the resourceId parameter.

Possible values:
resourceDiscriminatorstringOptional

Use Community or Domain to only retrieve view permissions assigned directly on a community or domain respectively. Do not use this filter in conjunction with the resourceId parameter.

includeInheritedbooleanOptional

When you provide a resourceId, setting this parameter to true also returns the view permissions inherited from a parent community.

Responses
default

default response

application/json

Response containing the paged information.

totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/viewPermissions
default

default response

Adds a view permission. It can be applied only to 'Community' and 'Domain' resource types.

post

Adds a view permission. It can be applied only to 'Community' and 'Domain' resource types.

Authorizations
AuthorizationstringRequired
Body
userIdstring · uuidOptional

The userId of the person who should receive the view permission. Either this or the userGroupId is required.

userGroupIdstring · uuidOptional

The userGroupId of the group that should receive the view permission. Either this or the userId is required.

Responses
201

View permission successfully added.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userIdstring · uuidOptional

ID of the user that is the owner of this ViewPermission, if the owner is a user

userGroupIdstring · uuidOptional

ID of the UserGroup that is the owner of this ViewPermission, if the owner is a group

post/viewPermissions
201

View permission successfully added.

Retrieves a view permission.

get

Retrieves a view permission.

Authorizations
AuthorizationstringRequired
Path parameters
viewPermissionIdstringRequired

Identifier of the view permission to retrieve.

Responses
default

default response

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userIdstring · uuidOptional

ID of the user that is the owner of this ViewPermission, if the owner is a user

userGroupIdstring · uuidOptional

ID of the UserGroup that is the owner of this ViewPermission, if the owner is a group

get/viewPermissions/{viewPermissionId}
default

default response

Removes a view permission.

delete

Removes a view permission.

Authorizations
AuthorizationstringRequired
Path parameters
viewPermissionIdstringRequired

Identifier of the view permission to remove.

Responses
default

default response

application/json
delete/viewPermissions/{viewPermissionId}
default

default response

Last updated

Was this helpful?